﻿Imports System.Windows.Forms

Public Class Dialog_CODE128

    #Region "Sub SetControl : コントロールに設定します."
        Private Sub SetControl(ByVal BlnVal_Set As Boolean)
            Try
                Select Case BlnVal_Set
                    Case True
                    ' コントロールにセットします.
                        ' 出力スタイル.
                            Select Case ClsPub_CODE128_INFO.Int_OutStyle
                                Case NSDCode128.NSD_CODE128_OUT_STYLE.CODE128
                                    Me.Cmb_OutStyle.SelectedIndex = 0
                                Case NSDCode128.NSD_CODE128_OUT_STYLE.GS1_128
                                    Me.Cmb_OutStyle.SelectedIndex = 1
                            End Select
                        ' 高さ.
                            Me.NUD_Height.Value = ClsPub_CODE128_INFO.Sng_Height
                            ' 高さ再計算有無.
                            Me.Cmb_HightReCalc.SelectedIndex = System.Math.Abs(CInt(ClsPub_CODE128_INFO.Bln_HeightReCalculation))
                        ' 基準幅.
                            If ClsPub_CODE128_INFO.Int_Standard_Width = NSDBarcode.NSD_STANDARD_WIDTH.ALL_WIDTH Then
                                Me.RB_Width1.Checked = True
                                ' 全体幅.
                                Me.NUD_Width.Value = ClsPub_CODE128_INFO.Sng_AllWidth
                            Else
                                Me.RB_Width2.Checked = True
                                ' 最小ライン幅.
                                Me.NUD_Width.Value = ClsPub_CODE128_INFO.Sng_MinimumLineWidth
                            End If
                            ' 基準幅の変更(サブ).
                            RB_Width1_CheckedChanged_Sub()
                        ' コード文字の出力.
                            Me.Cmb_SourceCode.SelectedIndex = System.Math.Abs(CInt(ClsPub_CODE128_INFO.Bln_SourceCodePrint))
                        ' コード文字の出力位置.
                            Me.Cmb_SourceCodeState.SelectedIndex = ClsPub_CODE128_INFO.Int_PrintNoStyle
                        ' コード文字のフォント.
                            SetDispFontName()
                        ' フォント幅.
                            Me.Cmb_FontWidth.SelectedIndex = ClsPub_CODE128_INFO.Int_SourceCodePrint_WidthStyle
                        ' クワイエットゾーン.
                            Me.Cmb_QuietZone.SelectedIndex = System.Math.Abs(CInt(ClsPub_CODE128_INFO.Bln_QuietZone))
                        ' クワイエットゾーンを含む全体枠.
                            Me.Cmb_QuietZoneTestPrint.SelectedIndex = System.Math.Abs(CInt(ClsPub_CODE128_INFO.Bln_QuietZonePrint))
                        ' コードセット.
                            Me.Cmb_CodeSet.SelectedIndex = ClsPub_CODE128_INFO.Int_SetCodeType
                        ' コードセットの優先順位.
                            Select Case ClsPub_CODE128_INFO.Int_SetCode_Priority
                                Case NSDCode128.NSD_CODE128_CODE_TYPE.CODE_A
                                    Me.Cmb_CodeSetPriority.SelectedIndex = 0
                                Case NSDCode128.NSD_CODE128_CODE_TYPE.CODE_B
                                    Me.Cmb_CodeSetPriority.SelectedIndex = 1
                                Case NSDCode128.NSD_CODE128_CODE_TYPE.CODE_C
                                    Me.Cmb_CodeSetPriority.SelectedIndex = 2
                            End Select

                            Cmb_CodeSet_SelectedIndexChanged_Sub()
                    Case False
                    ' コントロールから取り出します.
                        ' 出力スタイル.
                            Select Case Me.Cmb_OutStyle.SelectedIndex
                                Case 0: ClsPub_CODE128_INFO.Int_OutStyle = NSDCode128.NSD_CODE128_OUT_STYLE.CODE128
                                Case 1: ClsPub_CODE128_INFO.Int_OutStyle = NSDCode128.NSD_CODE128_OUT_STYLE.GS1_128
                            End Select
                        ' 高さ.
                            ClsPub_CODE128_INFO.Sng_Height = Me.NUD_Height.Value
                            ' 高さ再計算有無.
                            ClsPub_CODE128_INFO.Bln_HeightReCalculation = CBool(Me.Cmb_HightReCalc.SelectedIndex)
                        ' 基準幅.
                            If Me.RB_Width1.Checked Then
                                ' 全体幅.
                                ClsPub_CODE128_INFO.Int_Standard_Width = NSDBarcode.NSD_STANDARD_WIDTH.ALL_WIDTH
                                ClsPub_CODE128_INFO.Sng_AllWidth = Me.NUD_Width.Value
                            Else
                                ' 最小ライン幅.
                                ClsPub_CODE128_INFO.Int_Standard_Width = NSDBarcode.NSD_STANDARD_WIDTH.MINIMUM_WIDTH
                                ClsPub_CODE128_INFO.Sng_MinimumLineWidth= Me.NUD_Width.Value
                            End If
                        ' コード文字の出力.
                            ClsPub_CODE128_INFO.Bln_SourceCodePrint = CBool(Me.Cmb_SourceCode.SelectedIndex)
                        ' コード文字の出力位置.
                            ClsPub_CODE128_INFO.Int_PrintNoStyle = Me.Cmb_SourceCodeState.SelectedIndex
                        ' フォント幅.
                            ClsPub_CODE128_INFO.Int_SourceCodePrint_WidthStyle = Me.Cmb_FontWidth.SelectedIndex
                        ' クワイエットゾーン.
                            ClsPub_CODE128_INFO.Bln_QuietZone = CBool(Me.Cmb_QuietZone.SelectedIndex)
                        ' クワイエットゾーンを含む全体枠.
                            ClsPub_CODE128_INFO.Bln_QuietZonePrint = CBool(Me.Cmb_QuietZoneTestPrint.SelectedIndex)
                        ' コードセット.
                            ClsPub_CODE128_INFO.Int_SetCodeType = Me.Cmb_CodeSet.SelectedIndex
                        ' コードセットの優先順位.
                            Select Case Me.Cmb_CodeSetPriority.SelectedIndex
                                Case 0: ClsPub_CODE128_INFO.Int_SetCode_Priority = NSDCode128.NSD_CODE128_CODE_TYPE.CODE_A
                                Case 1: ClsPub_CODE128_INFO.Int_SetCode_Priority = NSDCode128.NSD_CODE128_CODE_TYPE.CODE_B
                                Case 2: ClsPub_CODE128_INFO.Int_SetCode_Priority = NSDCode128.NSD_CODE128_CODE_TYPE.CODE_C
                            End Select
                End Select
            Catch ex As Exception

            End Try
        End Sub

        #Region "Sub SetDispFontName : フォント名を表示します."
            Private Sub SetDispFontName()
                Try
                    If Not (ClsPub_CODE128_INFO.Cls_Font Is Nothing) Then
                        Me.Lbl_FontInfo.Text = ClsPub_CODE128_INFO.Cls_Font.Name & " " & ClsPub_CODE128_INFO.Cls_Font.SizeInPoints & "ポイント"
                    Else
                        Me.Lbl_FontInfo.Text = "不明"
                    End If
                Catch ex As Exception

                End Try
            End Sub
        #End Region
    #End Region

    #Region "OK、キャンセル."
        #Region "Sub OK_Button_Click : OKボタン."
            Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
                Me.DialogResult = System.Windows.Forms.DialogResult.OK
                SetControl(False)
                Me.Close()
            End Sub
        #End Region

        #Region "Sub Cancel_Button_Click : キャンセルボタン."
            Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
                Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
                Me.Close()
            End Sub
        #End Region
    #End Region

    #Region "Sub Dialog_CODE128_Load : Loadイベント."
        Private Sub Dialog_CODE128_Load(sender As Object, e As System.EventArgs) Handles Me.Load
            Try
                ' 出力スタイル.
                With Me.Cmb_OutStyle
                    .Items.Clear()

                    .Items.Add("CODE128")
                    .Items.Add("GS1-128")
                End With

                ' バーコードの高さ計算.
                With Me.Cmb_HightReCalc
                    .Items.Clear()

                    .Items.Add("高さ固定")
                    .Items.Add("高さ再計算")
                End With

                ' コード文字の出力.
                With Me.Cmb_SourceCode
                    .Items.Clear()

                    .Items.Add("出力しない")
                    .Items.Add("出力する")
                End With

                ' コード文字の出力位置.
                With Me.Cmb_SourceCodeState
                    .Items.Clear()

                    .Items.Add("バーコードの上")
                    .Items.Add("バーコードの下")
                End With

                ' フォント幅.
                With Me.Cmb_FontWidth
                    .Items.Clear()

                    .Items.Add("通常")
                    .Items.Add("バーコードの幅に合わせます")
                    .Items.Add("フォントサイズを自動調整してバーコードの幅に合わせます")
                End With

                ' クワイエットゾーン.
                With Me.Cmb_QuietZone
                    .Items.Clear()

                    .Items.Add("追加しない")
                    .Items.Add("追加する")
                End With

                ' クワイエットゾーンを含む全体枠.
                With Me.Cmb_QuietZoneTestPrint
                    .Items.Clear()

                    .Items.Add("描画しない")
                    .Items.Add("テスト用描画をする")
                End With

                ' コードセット.
                With Me.Cmb_CodeSet
                    .Items.Clear()

                    .Items.Add("自動設定")
                    .Items.Add("コードA")
                    .Items.Add("コードB")
                    .Items.Add("コードC")
                End With

                ' コードセットの優先順位.
                With Me.Cmb_CodeSetPriority
                    .Items.Clear()

                    .Items.Add("コードA->コードB")
                    .Items.Add("コードB->コードA")
                    .Items.Add("コードC->コードB->コードA")
                End With

                SetControl(True)

            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Font_Click : フォント."
        Private Sub Btn_Font_Click( sender As System.Object,  e As System.EventArgs) Handles Btn_Font.Click
            Try
                Using fFont As New FontDialog()
                    fFont.Font = ClsPub_CODE128_INFO.Cls_Font
                    If fFont.ShowDialog() = Windows.Forms.DialogResult.OK Then
                        ClsPub_CODE128_INFO.Cls_Font = fFont.Font.Clone()
                        SetDispFontName()
                    End If
                End Using
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Cmb_CodeSet_SelectedIndexChanged : コードセット."
        Private Sub Cmb_CodeSet_SelectedIndexChanged( sender As System.Object,  e As System.EventArgs) Handles Cmb_CodeSet.SelectedIndexChanged
            Try
                Cmb_CodeSet_SelectedIndexChanged_Sub()
            Catch ex As Exception

            End Try
        End Sub

        #Region "Sub Cmb_CodeSet_SelectedIndexChanged_Sub : コードセット(サブ)."
            Private Sub Cmb_CodeSet_SelectedIndexChanged_Sub()
                Try
                    Select Case Me.Cmb_CodeSet.SelectedIndex
                        Case 0: ' 自動設定.
                            Me.Cmb_CodeSetPriority.Enabled = True
                        Case Else
                            Me.Cmb_CodeSetPriority.Enabled = False
                    End Select
                Catch ex As Exception

                End Try
            End Sub
        #End Region
    #End Region

    #Region "Sub RB_Width1_CheckedChanged : 基準幅の変更."
        Private Sub RB_Width1_CheckedChanged( sender As System.Object,  e As System.EventArgs) Handles RB_Width1.CheckedChanged
            Try
                RB_Width1_CheckedChanged_Sub
            Catch ex As Exception

            End Try
        End Sub

        #Region "Sub RB_Width1_CheckedChanged_Sub : 基準幅の変更(サブ)."
            Private Sub RB_Width1_CheckedChanged_Sub()
                Try
                    Select Case Me.RB_Width1.Checked
                        Case True
                        ' 全体の幅.
                            Me.NUD_Width.Value = ClsPub_CODE128_INFO.Sng_AllWidth
                        Case False
                        ' 最小ライン幅.
                            Me.NUD_Width.Value = ClsPub_CODE128_INFO.Sng_MinimumLineWidth
                    End Select
                Catch ex As Exception

                End Try
            End Sub
        #End Region
    #End Region

End Class
